Package com.sas.lsaf.clinical.dictionary

## Interface ExternalDictionaryService

-     public interface ExternalDictionaryService

  A service to retrieve external dictionaries.
  Since:
    2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `exportExternalDictionariesToDataSet​(ExportFileCreateInfo info)` | Exports all external dictionaries as a SAS data set to a location in the repository or your workspace.
    `java.util.Set<ExternalDictionary>` | `getExternalDictionaries()` | Gets all external dictionaries.
    `ExternalDictionary` | `getExternalDictionary​(java.lang.String dictionary, DataType dataType, java.lang.String version)` | Gets the external dictionary with the specified name, data type, and version.

- - ### Method Detail

    - #### getExternalDictionaries

          java.util.Set<ExternalDictionary> getExternalDictionaries()

      Gets all external dictionaries.
      Returns:
        A set of all external dictionaries.

    - #### getExternalDictionary

          ExternalDictionary getExternalDictionary​(java.lang.String dictionary,
                                                   DataType dataType,
                                                   java.lang.String version)
                                            throws DictionaryNotFoundException

      Gets the external dictionary with the specified name, data type, and version.
      Parameters:
        `dictionary` - The dictionary name as specified by `ExternalDictionary.getDictionary()`.
        `dataType` - The data type of the external dictionary.
        `version` - The version of the external dictionary.
      Returns:
        The external dictionary with the specified name, data type, and version.
      Throws:
        `DictionaryNotFoundException` - Thrown when the dictionary does not exist.

    - #### exportExternalDictionariesToDataSet

          java.lang.String exportExternalDictionariesToDataSet​(ExportFileCreateInfo info)
                                                        throws ExportException

      Exports all external dictionaries as a SAS data set to a location in the repository or your workspace.
      Parameters:
        `info` - The method to add the exported data set.
      Returns:
        The path to the exported data set.
      Throws:
        `ExportException` - Thrown when there is an issue exporting the external dictionary.